### Method

# GtkSource CompletionProvider populate_async

#### Declaration [src]

    void
    gtk_source_completion_provider_populate_async (
      GtkSourceCompletionProvider* self,
      GtkSourceCompletionContext* context,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously requests that the provider populates the completion results for `context`.

For providers that would like to populate a `GListModel` while those results are displayed to the user, `gtk_source_completion_context_set_proposals_for_provider()` may be used to reduce latency until the user sees results.

This method completes asynchronously. Use `gtk_source_completion_provider_populate_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`context`

  Type: `GtkSourceCompletionContext`

  A `GtkSourceCompletionContext`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to execute upon completion.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Closure data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.